Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.jasperreports.util
Class JRTimezoneJdbcQueryExecuterFactory

    java.lang.Object
      net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory
          com.jaspersoft.jasperserver.api.engine.jasperreports.util.JRTimezoneJdbcQueryExecuterFactory

All Implemented Interfaces:
  net.sf.jasperreports.engine.query.JRQueryExecuterFactory

    public class JRTimezoneJdbcQueryExecuterFactory

extends net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory

Version:
  $Id
Author:
  Ionut Nedelcu (ionutned@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PARAMETER_TIMEZONE`

Fields inherited from class net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory
`PROPERTY_JDBC_FETCH_SIZE, QUERY_LANGUAGE_SQL`

Fields inherited from interface net.sf.jasperreports.engine.query.JRQueryExecuterFactory
`QUERY_EXECUTER_FACTORY_PREFIX`

Constructor Summary
`JRTimezoneJdbcQueryExecuterFactory()`

Method Summary
`net.sf.jasperreports.engine.query.JRQueryExecuter` | `createQueryExecuter(net.sf.jasperreports.engine.JRDataset dataset, java.util.Map parameters)`
`java.lang.Object[]` | `getBuiltinParameters()`

Methods inherited from class net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory
`supportsQueryParameterType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_TIMEZONE

    public static final java.lang.String PARAMETER_TIMEZONE

See Also:
  Constant Field Values

Constructor Detail

### JRTimezoneJdbcQueryExecuterFactory

    public JRTimezoneJdbcQueryExecuterFactory()

Method Detail

### getBuiltinParameters

    public java.lang.Object[] getBuiltinParameters()

  Specified by:
    `getBuiltinParameters` in interface `net.sf.jasperreports.engine.query.JRQueryExecuterFactory`
  Overrides:
    `getBuiltinParameters` in class `net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory`

### createQueryExecuter

    public net.sf.jasperreports.engine.query.JRQueryExecuter createQueryExecuter(net.sf.jasperreports.engine.JRDataset dataset,
                                                                                 java.util.Map parameters)
                                                                          throws net.sf.jasperreports.engine.JRException

  Specified by:
    `createQueryExecuter` in interface `net.sf.jasperreports.engine.query.JRQueryExecuterFactory`
  Overrides:
    `createQueryExecuter` in class `net.sf.jasperreports.engine.query.JRJdbcQueryExecuterFactory`
  Throws:
    `net.sf.jasperreports.engine.JRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.